//zalezy od common.js
var DEFAULT_HIT_INTERVAL = 30;

function getPrefHitInterval()
{
  setPrefHitInterval(DEFAULT_HIT_INTERVAL);//ustawiamy na stala wartosc
  return getIntPref('extensions.queuemonitor.hitInterval');
}

function getPrefForceRefresh()
{
  var value = value;
  if(hasPrefValue('extensions.queuemonitor.forceRefresh') == true)
  {
    value = getBoolPref('extensions.queuemonitor.forceRefresh');
  }
  return value;
}

function getPrefObjectId()
{
  throw 'Old method. Use getConfigurationObject()';
  //return getStringPref('extensions.queuemonitor.objectid');
}

function setPrefObjectId(value)
{
  throw 'Old method. Use setConfigurationObject()';
  //setPref('string', 'extensions.queuemonitor.objectid', value);
}

function getPrefTimerEnabled()
{
  return getBoolPref('extensions.queuemonitor.timerenabled');
}

function isPrefTimerEnabledDefined()
{
  //alert('queuemonitorprefs.js->extensions.queuemonitor.timerenable: ' + 
	//	  hasPrefValue('extensions.queuemonitor.timerenabled') +
		//  ',lll: ' + getPrefType('extensions.queuemonitor.timerenabled'));
  return hasPrefValue('extensions.queuemonitor.timerenabled');
}

function getPrefWaitingCallThresholdAlert()
{
  var value = getIntPref('extensions.queuemonitor.waitingcallthresholdalert');
  if(isDebug() == true)
  {
	  logDebug('[queuemonitorprefs.js->getPrefWaitingCallThresholdAlert], value: ' + value);
  }
  return value;
}

function getConfigurationObject()
{
  return Base64.decode(getStringPref('extensions.queuemonitor.configurationobject'));
}

function setConfigurationObject(value)
{
  setPref('string', 'extensions.queuemonitor.configurationobject', Base64.encode(value));
}

function setPrefWaitingCallThresholdAlert(value)
{
  setPref('int', 'extensions.queuemonitor.waitingcallthresholdalert', value);
}

function setPrefHitInterval(value)
{
  setPref('int', 'extensions.queuemonitor.hitInterval', value);
}

function setPrefTimerEnabled(value)
{
  setPref('bool', 'extensions.queuemonitor.timerenabled', value);
}

function setPrefForceRefresh(value)
{
  setBoolPref('extensions.queuemonitor.forceRefresh', value);
}
