//----VALIDATION------------------------------------------------------------------------------------------\\


//poniewaz ustawiamy na stala wartosc queuemonitorprefs.js.DEFAULT_HIT_INTERVAL, to ta
//walidacja nie bedzie potrzebna
var MIN_INTERVAL_VALUE = 30;
var MAX_INTERVAL_VALUE = 60;
var QUEUE_NAME_MAX_LENGTH = 50;

var bundle = null;

function getBundle()
{
  if(bundle == null)
  {
    bundle = document.getElementById("queuemonitor-bundle");
  }
  
  return bundle;
}

function getStr(key)
{
  return getBundle().getString(key);
}

function getStrF(key, params)
{
  return getBundle().getFormattedString(key, params);
}

function isInteger(text)
{
   var validChars = "0123456789";
   var isInteger = true;
   var character;
 
   for (var i = 0; i < text.length && isInteger == true; i++) 
   { 
	  character = text.charAt(i); 
      if (validChars.indexOf(character) == -1) 
      {
    	  isInteger = false;
      }
   }
   return isInteger;
}


function validateRefreshInterval(interval)
{
  var s = '';
  if(interval == null || interval == '' || isInteger(interval) == false || interval < MIN_INTERVAL_VALUE || interval > MAX_INTERVAL_VALUE)
  {
	  s = getStrF('validation.refresh.interval.error1', [MIN_INTERVAL_VALUE, MAX_INTERVAL_VALUE]);
  }
  return s;
}

function validateObjectId(objectId)
{
  var s = '';
  if(objectId == null || objectId.trim() == '')
  {
    s = getStr('validation.objectid.error1');
  }
  return s;
}

function validateQueueName(name)
{
  var s = '';
  if(name == null || name.trim() == '' || name.trim().length > QUEUE_NAME_MAX_LENGTH)
  {
	  s = getStrF('validation.queuename.error1', [QUEUE_NAME_MAX_LENGTH]);
  }
  return s;
}

function validateCallMaxWaitTimeThreshold(callMaxWaitTimeThreshold)
{
	var s = '';
	if(callMaxWaitTimeThreshold == null || callMaxWaitTimeThreshold == '' || isInteger(callMaxWaitTimeThreshold) == false || callMaxWaitTimeThreshold < 0)
    {
	  s = getStr('validation.call.max.wait.time.threshold.error1');
	}
	return s;
}

//----          ---------------------------------------------------------------------------------------\\