var data = null;
 
function QueuesConfigDropDownModel(params) {

	if (!params)// must have params
		throw {
			message :"invalid parameters"
		};

	if (!params.dropdownlist)
		throw {
			message :"must pass a dropdown list"
		};
	var dropdownlist = params.dropdownlist;

	if (!params.model)
		throw {
			message :"must pass a list with some data"
		};
	var model = params.model;

	if (!params.columnModel)
		throw {
			message :"must pass a list of columnModels"
		};
	var columnModel = params.columnModel;

	var itemAppender;
	var allItemsRemover;
	if (params.itemAppender)
		itemAppender = params.itemAppender;
	else {
		itemAppender = function(valueFunc, labelFunc, descFunc, selectionFunc, data) {
			var menuitem = dropdownlist.appendItem( valueFunc(data), labelFunc(data), descFunc(data) );
			//alert('appender: ' + valueFunc(data));
			if(selectionFunc(data) == true)
      {
        dropdownlist.selectedIndex = dropdownlist.itemCount - 1;
      }
			return menuitem;
		}
		allItemsRemover = function() {
			dropdownlist.removeAllItems();
		}
	}

  this.getModel = function()
  {
    return model;
  }

	this.update = function(_model) {
		if (_model)
			model = _model;
    allItemsRemover();
		if (model.length > 0) {
			for ( var i = 0; i < model.length; i++) {
				var menuitem = itemAppender(columnModel[0], columnModel[1], columnModel[2], columnModel[3], model[i]);
			}
		}
	}
}