var treeView = {
    rowCount : -1,
    data : null,
    colNameActive : 'active',
    colNameName : 'name',
    colNameObjectId : 'objectId',

    getCellValue : function(row,column)
    {
      return this.getCellValueByColumnId(row, column.id);
    },
    getCellValueByColumnId : function(row,columnId)
    {
      if(columnId == this.colNameActive)
      {
        return this.getData().getActive(row);
      }
      else if(columnId == this.colNameName)
      {
        return this.getData().getQueueName(row);
      }
      else if(columnId == this.colNameObjectId)
      {
        return this.getData().getObjectId(row);
      };
      return '<brak>';
    },
    getCellText : function(row,column)
    {
      return this.getCellValue(row, column);
    },
    setCellValue : function(row,column,value)
    {
      if(column.id == this.colNameActive)
      {
        this.getData().setActive(row, (value == "true"));//true przychodzi jako string
      }
      else if(column.id == this.colNameName)
      {
        this.getData().setQueueName(row, value);
      }
      else if(column.id == this.colNameObjectId)
      {
        this.getData().setObjectId(row, value);
      }
      else
      {
        throw '[treeView.setCellValue], column not known: \'' + column.id + '\'';
      }
    },
    setCellText : function(row,column,value)
    {
      this.setCellValue(row,column,value);
    },
    getIndex : function(queueInfoDataItem)
    {
      return this.getData().getIndex(queueInfoDataItem);
    },
    getDataItemAt : function(index)
    {
      return this.getData().getAt(index);
    },
    getDataItemPkAt : function(index)
    {
      return this.getData().getDataItemPkAt(index);
    },
    removeByPk : function(pkValue)
    {
    	this.getData().removeByPk(pkValue);
    },
    setTree: function(treebox){ this.treebox=treebox; },
    isContainer: function(row){ return false; },
    isSeparator: function(row){ return false; },
    isSorted: function(row){ return false; },
    isEditable: function() { return true; },
    getLevel: function(row){ return 0; },
    getImageSrc: function(row,col){ return null; },
    getRowProperties: function(row,props){},
    getCellProperties: function(row,col,props){},
    getColumnProperties: function(colid,col,props){},
    cycleHeader: function(col){},
    getData: function()
    {
      return this.data;
    },
    setData: function(data)
    {
      this.data = data;
      this.rowCount = this.data.getLength();
    }
};
