function getBundle()
{
  if(bundle == null)
  {
    bundle = document.getElementById("queuemonitor-bundle");
  }
  
  return bundle;
}

function getStr(key)
{
  return getBundle().getString(key);
}

function onLoad()
{
	var queueInfoItem = getQueueInfoData().getItemByPk(getQueueInfoPk());
	bindQueueInfoData(queueInfoItem.active, queueInfoItem.queuename, queueInfoItem.objectid);
	if(isEdit() == true)
	{
	 getThisDialog().setAttribute('title', getStr('editqueueinfo.dialog.title.edit.label'));
	}
	else if(isNew() == true)
	{
	 getThisDialog().setAttribute('title', getStr('editqueueinfo.dialog.title.add.label'));
	}
}

function getThisDialog()
{
  return document.getElementById('editQueueInfoDialog');
}

function bindQueueInfoData(active, name, objectid)
{
	setActive(active);
	setQueueName(name);
	setQueueObjectId(objectid);
}

function cancel(dialog)
{
	dialog.close();
}

function isNew()
{
	return (window.arguments[1] == null);
}

function isEdit()
{
	return (window.arguments[1] != null);
}

function getQueueInfoPk()
{
	return window.arguments[1];
}

function getQueueInfoData()
{
	return window.arguments[0];
}

function save()
{
	var queueNameValidationResult = validateQueueName(getQueueName());
	var queueObjectIdValidationResult = validateObjectId(getQueueObjectId());
	if(queueNameValidationResult != '')
	{
		alert(queueNameValidationResult);
		return false;
	}
	if(queueObjectIdValidationResult != '')
	{
		alert(queueObjectIdValidationResult);
		return false;
	}

	var queueInfoData = getQueueInfoData();
	if(isEdit() == true)
	{
		var queueInfoItem = queueInfoData.getItemByPk(getQueueInfoPk());
		queueInfoItem.active = getQueueActive();
		queueInfoItem.queuename = getQueueName();
		queueInfoItem.objectid = getQueueObjectId();
		queueInfoData.updateItem(queueInfoItem);
	}
	else if(isNew() == true)
	{
		queueInfoData.addItem(getQueueActive(), getQueueName(), getQueueObjectId());
	}
	else
	{
		throw "Nieznany tryb";//TODO: localization
	}

	return true;
}

function getQueueActive()
{
	return getQueueActiveControl().checked;
}

function getQueueName()
{
	return getQueueNameControl().value;
}

function getQueueObjectId()
{
	return getQueueObjectIdControl().value;
}

function getQueueActiveControl()
{
  return document.getElementById('queueactive');
}

function setActive(v)
{
  return getQueueActiveControl().checked = v;
}

function setQueueName(v)
{
  return getQueueNameControl().value = v;
}

function setQueueObjectId(v)
{
  return getQueueObjectIdControl().value = v;
}

function getQueueNameControl()
{
  return document.getElementById('queuename');
}

function getQueueObjectIdControl()
{
  return document.getElementById('queueobjectid');
}

//-------------------
function openIpfonPanelPageInNewTab()
{
	openNewTabFromDialog("https://ipfon24.ipfon.pl/");
}